{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}
To synchronize and mass update your contacts with Qomon database, use POST /contacts/upsert instead. This synchronous endpoint costs 5 rate-limit tokens per request.
{"docsConfig":{"theme":"almond","$schema":"https://mintlify.com/docs.json","name":"Qomon API Hub","description":"Our Qomon Public API \u0026 MCP open up limitless possibilities by connecting Qomon to your ecosystem of tools or model to build custom systems on top of Qomon.","colors":{"primary":"#000000","light":"#ffffff","dark":"#000000"},"logo":{"light":"https://mintcdn.com/qomon-86428773/fuov2pKIh80Duxbd/images/API_BackgroundL.png?fit=max\u0026auto=format\u0026n=fuov2pKIh80Duxbd\u0026q=85\u0026s=48a09706c5fccae4dec9a11fa679a5db","dark":"https://mintcdn.com/qomon-86428773/fuov2pKIh80Duxbd/images/API_BackgroundD.png?fit=max\u0026auto=format\u0026n=fuov2pKIh80Duxbd\u0026q=85\u0026s=0a28a0df9b227712094b18e860125cad"},"favicon":"https://mintcdn.com/qomon-86428773/bVsd2WmkmkYOg2Z5/images/Q-3.png?fit=max\u0026auto=format\u0026n=bVsd2WmkmkYOg2Z5\u0026q=85\u0026s=acd62531af6f848df5af057de6dcf15e","appearance":{"default":"light"},"background":{"color":{"light":"#ffffff","dark":"#111111"}},"navbar":{"links":[{"href":"https://qomon.com/demo","label":"Book a Demo"}],"primary":{"type":"button","label":"Login","href":"https://qomon.app/login"}},"footer":{"socials":{"website":"https://qomon.com/","linkedin":"https://www.linkedin.com/company/qomon","youtube":"https://www.youtube.com/@qomon"},"links":[{"header":"Platform","items":[{"label":"Website","href":"https://qomon.com/"},{"label":"Status","href":"https://status.qomon.app/"},{"label":"Changelog","href":"https://changelog.qomon.app/"}]},{"header":"Resources","items":[{"label":"Help Center","href":"https://help.qomon.com/en"},{"label":"Academy","href":"https://qomon.academy"},{"label":"Group Training","href":"https://live-training.qomon.org"}]}]},"search":{"prompt":"Search or Ask "},"fonts":{"heading":{"family":"Inter"},"body":{"family":"Inter"}},"icons":{"library":"lucide"},"styling":{"eyebrows":"section","codeblocks":"system","latex":true},"integrations":{"intercom":{"appId":"j0zwu1yw"}},"errors":{"404":{"redirect":true}},"contextual":{"options":["copy","view"],"display":"header"},"interaction":{"drilldown":true},"metadata":{"timestamp":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"qomon-86428773","hasAudioNarration":false,"actualSubdomain":"qomon-86428773","customDomains":["developers.qomon.com"],"gitSource":{"type":"gitlab","owner":"quorumsco/back-end","repo":"openapi","deployBranch":"main","contentDirectory":"","isPrivate":true,"projectId":52201437,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6acde6d72b5b6d7c98a223a3","collectionId":"1e1110bc-8491-436a-adc1-c454d91ec78b","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6acde6d72b5b6d7c98a223a3"},"feedback":{"thumbs":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae0bd5ae3086d13586ccd9e","clientVersion":"0.0.4021","searchFilterCounts":[{"language":"default","tag":"Developers","count":74},{"language":"default","tag":"Fundraising","count":24},{"language":"default","tag":"Users","count":22},{"language":"default","tag":"Interactions","count":17},{"language":"default","tag":"Contacts","count":16},{"language":"default","tag":"Learn More","count":12},{"language":"default","tag":"Notes","count":11},{"language":"default","tag":"Settings and configuration","count":6},{"language":"default","tag":"Teams","count":6},{"language":"default","tag":"Transaction bundles","count":6}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/contacts/create-a-contact","slug":"/api-reference/contacts/create-a-contact","pageMetadata":{"title":"Create a contact","description":"Creates a contact in the Qomon database.","deprecated":null,"version":null,"openapi":"/src/autogen/incoming-openapi3.0.yaml post /contacts","href":"/api-reference/contacts/create-a-contact","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Creates a contact in the Qomon database.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,..._provideComponents(),...props.components},{Info}=_components;if(!Info)_missingMdxReference(`Info`,true);return _jsxs(Info,{children:[`To synchronize and mass update your contacts with Qomon database, use `,_jsx(_components.code,{children:`POST /contacts/upsert`}),` instead. This synchronous endpoint costs 5 rate-limit tokens per request.`]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"Create a contact","description":"Creates a contact in the Qomon database.","deprecated":null,"version":null,"openapi":"/src/autogen/incoming-openapi3.0.yaml post /contacts","href":"/api-reference/contacts/create-a-contact","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/qomon-86428773/364a31782a87553b/build-incoming.js","/_mintlify/custom/qomon-86428773/202df17ae35aeded/build-emailer.js","/_mintlify/custom/qomon-86428773/35cb5726cc682168/build-transaction-internal.js","/_mintlify/custom/qomon-86428773/8ec6936189904a55/build-transactions.js","/_mintlify/custom/qomon-86428773/dd004d11ecf58a67/build-users.js","/_mintlify/custom/qomon-86428773/c9ba57e420c483cc/build-workflows.js","/_mintlify/custom/qomon-86428773/4ae17cd442418a1d/build-stripe.js"],"openApiReferenceData":{"operation":{"description":"Creates a contact in the Qomon database.","operationId":"create-contact","requestBody":"25834c47-e2e5-4095-a3fa-ba0d46b4443c","responses":{"200":"8de3f042-76d4-414e-b37b-8b989912cf7e","default":"bb1aac28-bfcc-45d4-ab05-8b03bf8b510f"},"summary":"Create a contact","tags":["Contacts"],"x-mint":{"content":"\u003cInfo>To synchronize and mass update your contacts with Qomon database, use `POST /contacts/upsert` instead. This synchronous endpoint costs 5 rate-limit tokens per request.\u003c/Info>"},"method":"post","type":"path","servers":["a76354b6-22cf-4a76-a1ef-c7f8416eccf0"],"security":["7ed577ea-6a1c-44bc-a997-193d3ec3c1c0"],"path":"/contacts","baseUrlOptions":["https://incoming.qomon.app"],"title":"Create a contact","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"additionalProperties":true,"properties":{"data":{"additionalProperties":true,"properties":{"contact":{"additionalProperties":true,"properties":{"action_ids":{"oneOf":[{"description":"IDs of actions of which the contact is targeted.","items":{"format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.action_ids.oneOf.0.items.[INDEX]","typeLabel":"integer\u003cint64>"},"type":"array","uniqueKey":"data.contact.action_ids.oneOf.0","typeLabel":"integer\u003cint64>[]"},{"description":"IDs of actions of which the contact is targeted.","items":{"format":"int64","minimum":0,"type":"integer"},"type":"null","uniqueKey":"data.contact.action_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.action_ids","typeLabel":"integer\u003cint64>[] | null"},"address":{"additionalProperties":true,"properties":{"addition":{"description":"Additional address info.","type":"string","uniqueKey":"data.contact.address.addition","typeLabel":"string"},"building":{"description":"Building name or identifier.","type":"string","uniqueKey":"data.contact.address.building","typeLabel":"string"},"building_type":{"description":"Type of building.","enum":["house","apartment","office","other"],"type":"string","uniqueKey":"data.contact.address.building_type","typeLabel":"enum\u003cstring>"},"city":{"description":"City name.","examples":["Paris"],"type":"string","uniqueKey":"data.contact.address.city","typeLabel":"string"},"country":{"description":"Country.","examples":["France"],"type":"string","uniqueKey":"data.contact.address.country","typeLabel":"string"},"county":{"description":"County or department.","type":"string","uniqueKey":"data.contact.address.county","typeLabel":"string"},"door":{"description":"Door or apartment identifier.","type":"string","uniqueKey":"data.contact.address.door","typeLabel":"string"},"floor":{"description":"Floor number.","type":"string","uniqueKey":"data.contact.address.floor","typeLabel":"string"},"housenumber":{"description":"Street number.","examples":["12"],"type":"string","uniqueKey":"data.contact.address.housenumber","typeLabel":"string"},"infos":{"description":"Additional address information.","type":"string","uniqueKey":"data.contact.address.infos","typeLabel":"string"},"pollingstation":{"type":"string","uniqueKey":"data.contact.address.pollingstation","typeLabel":"string"},"postalcode":{"description":"Postal / ZIP code.","examples":["75001"],"type":"string","uniqueKey":"data.contact.address.postalcode","typeLabel":"string"},"state":{"description":"State or region.","type":"string","uniqueKey":"data.contact.address.state","typeLabel":"string"},"street":{"description":"Street name.","examples":["Rue de Rivoli"],"type":"string","uniqueKey":"data.contact.address.street","typeLabel":"string"}},"type":"object","description":"Postal address.","uniqueKey":"data.contact.address","typeLabel":"object"},"age_category":{"description":"Age category.","format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.age_category","typeLabel":"integer\u003cint64>"},"birth_city":{"description":"City of birth.","type":"string","uniqueKey":"data.contact.birth_city","typeLabel":"string"},"birth_country":{"description":"Country code of birth.","type":"string","uniqueKey":"data.contact.birth_country","typeLabel":"string"},"birth_dept":{"description":"Department of birth.","type":"string","uniqueKey":"data.contact.birth_dept","typeLabel":"string"},"birthdate":{"description":"Date of birth.","format":"date-time","type":"string","uniqueKey":"data.contact.birthdate","typeLabel":"string\u003cdate-time>"},"black_list":{"description":"Whether the contact has opted out of communications.","type":"boolean","uniqueKey":"data.contact.black_list","typeLabel":"boolean"},"custom_fields":{"oneOf":[{"description":"Organisation-defined custom fields.","items":{"additionalProperties":true,"properties":{"data":{"description":"Custom field value.","examples":["XL"],"type":"string","isRequired":true,"uniqueKey":"data.contact.custom_fields.oneOf.0.items.[INDEX].data","typeLabel":"string"},"form_id":{"description":"Form ID.","format":"int64","minimum":0,"type":"integer","isRequired":true,"uniqueKey":"data.contact.custom_fields.oneOf.0.items.[INDEX].form_id","typeLabel":"integer\u003cint64>"},"form_ref_id":{"description":"Form reference ID.","format":"int64","minimum":0,"type":"integer","isRequired":true,"uniqueKey":"data.contact.custom_fields.oneOf.0.items.[INDEX].form_ref_id","typeLabel":"integer\u003cint64>"}},"required":["id","form_id","form_ref_id","data"],"type":"object","uniqueKey":"data.contact.custom_fields.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"data.contact.custom_fields.oneOf.0","typeLabel":"object[]"},{"description":"Organisation-defined custom fields.","items":{"additionalProperties":true,"properties":{"data":{"description":"Custom field value.","examples":["XL"],"type":"string"},"form_id":{"description":"Form ID.","format":"int64","minimum":0,"type":"integer"},"form_ref_id":{"description":"Form reference ID.","format":"int64","minimum":0,"type":"integer"}},"required":["id","form_id","form_ref_id","data"],"type":"object"},"type":"null","uniqueKey":"data.contact.custom_fields.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.custom_fields","typeLabel":"object[] | null"},"external_id":{"description":"Identifier of the contact in an external system, used for upsert matching. Returned so clients can map their own IDs to Qomon IDs.","type":"string","uniqueKey":"data.contact.external_id","typeLabel":"string"},"firstname":{"description":"First name.","examples":["Jane"],"type":"string","uniqueKey":"data.contact.firstname","typeLabel":"string"},"formdatas":{"oneOf":[{"description":"Organisation-defined form data.","items":{"additionalProperties":true,"properties":{"data":{"description":"Form data value.","examples":["Some answer"],"type":"string","isRequired":true,"uniqueKey":"data.contact.formdatas.oneOf.0.items.[INDEX].data","typeLabel":"string"},"form_id":{"description":"Form ID.","format":"int64","minimum":0,"type":"integer","isRequired":true,"uniqueKey":"data.contact.formdatas.oneOf.0.items.[INDEX].form_id","typeLabel":"integer\u003cint64>"},"form_ref_id":{"description":"Form reference ID.","format":"int64","minimum":0,"type":"integer","isRequired":true,"uniqueKey":"data.contact.formdatas.oneOf.0.items.[INDEX].form_ref_id","typeLabel":"integer\u003cint64>"},"date":{"description":"Date of the form data.","format":"date-time","type":"string","uniqueKey":"data.contact.formdatas.oneOf.0.items.[INDEX].date","typeLabel":"string\u003cdate-time>"},"survey_id":{"description":"Survey ID if the form data is from a survey.","format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.formdatas.oneOf.0.items.[INDEX].survey_id","typeLabel":"integer\u003cint64>"}},"required":["id","form_id","form_ref_id","data"],"type":"object","uniqueKey":"data.contact.formdatas.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"data.contact.formdatas.oneOf.0","typeLabel":"object[]"},{"description":"Organisation-defined form data.","items":{"additionalProperties":true,"properties":{"data":{"description":"Form data value.","examples":["Some answer"],"type":"string"},"date":{"description":"Date of the form data.","format":"date-time","type":"string"},"form_id":{"description":"Form ID.","format":"int64","minimum":0,"type":"integer"},"form_ref_id":{"description":"Form reference ID.","format":"int64","minimum":0,"type":"integer"},"survey_id":{"description":"Survey ID if the form data is from a survey.","format":"int64","minimum":0,"type":"integer"}},"required":["id","form_id","form_ref_id","data"],"type":"object"},"type":"null","uniqueKey":"data.contact.formdatas.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.formdatas","typeLabel":"object[] | null"},"gender":{"description":"Gender. One of: M (Male), F (Female), O (Other). Empty if unknown.","enum":["M","F","O"],"examples":["female"],"type":"string","uniqueKey":"data.contact.gender","typeLabel":"enum\u003cstring>"},"mail":{"description":"Primary email address.","examples":["jane@example.com"],"format":"email","type":"string","uniqueKey":"data.contact.mail","typeLabel":"string\u003cemail>"},"married_name":{"type":"string","uniqueKey":"data.contact.married_name","typeLabel":"string"},"membership_code":{"description":"Membership code (prefix + serial).","type":"string","uniqueKey":"data.contact.membership_code","typeLabel":"string"},"membership_number":{"description":"Membership serial number assigned when the contact's first membership is created.","format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.membership_number","typeLabel":"integer\u003cint64>"},"mobile":{"description":"Mobile phone number.","type":"string","uniqueKey":"data.contact.mobile","typeLabel":"string"},"mobile_invalid":{"description":"Whether the mobile phone number is invalid.","type":"boolean","uniqueKey":"data.contact.mobile_invalid","typeLabel":"boolean"},"nationality":{"description":"Nationality.","type":"string","uniqueKey":"data.contact.nationality","typeLabel":"string"},"nationbuilderid":{"description":"Identifier of the contact in NationBuilder, when the organisation syncs with NationBuilder.","format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.nationbuilderid","typeLabel":"integer\u003cint64>"},"notes":{"oneOf":[{"description":"Notes associated with the contact.","items":{"additionalProperties":true,"properties":{"id":{"format":"int64","minimum":0,"type":"integer","isRequired":true,"uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].id","typeLabel":"integer\u003cint64>"},"contact_id":{"format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].contact_id","typeLabel":"integer\u003cint64>"},"created_at":{"format":"date-time","type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"data":{"description":"Content of the note.","type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].data","typeLabel":"string"},"group_id":{"format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].group_id","typeLabel":"integer\u003cint64>"},"only_super_admin":{"description":"If true, only user with specific permissions can see this note.","type":"boolean","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].only_super_admin","typeLabel":"boolean"},"pinned":{"description":"Whether the note is pinned to the top of the contact's page.","type":"boolean","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].pinned","typeLabel":"boolean"},"updated_at":{"format":"date-time","type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"user":{"additionalProperties":true,"properties":{"address":{"description":"Street address.","examples":["1 rue de la paix"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.address","typeLabel":"string"},"avatar":{"description":"Avatar URL.","examples":["https://example.com/avatar.png"],"format":"uri","type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.avatar","typeLabel":"string\u003curi>"},"birthdate":{"description":"Birthdate.","format":"date-time","type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.birthdate","typeLabel":"string\u003cdate-time>"},"city":{"description":"City.","examples":["Paris"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.city","typeLabel":"string"},"contacts":{"oneOf":[{"description":"Contacts (fiches) linked to this user account.","items":{"additionalProperties":true,"properties":{"id":{"description":"Unique identifier of the contact.","examples":[42],"format":"int64","minimum":0,"type":"integer","isRequired":true,"uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.contacts.oneOf.0.items.[INDEX].id","typeLabel":"integer\u003cint64>"}},"required":["id"],"type":"object","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.contacts.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.contacts.oneOf.0","typeLabel":"object[]"},{"description":"Contacts (fiches) linked to this user account.","items":{"additionalProperties":true,"properties":{"id":{"description":"Unique identifier of the contact.","examples":[42],"format":"int64","minimum":0,"type":"integer"}},"required":["id"],"type":"object"},"type":"null","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.contacts.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.contacts","typeLabel":"object[] | null"},"firstname":{"description":"First name.","examples":["John"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.firstname","typeLabel":"string"},"group_id":{"oneOf":[{"description":"IDs of groups the user belongs to.","items":{"format":"int64","type":"integer","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.group_id.oneOf.0.items.[INDEX]","typeLabel":"integer\u003cint64>"},"type":"array","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.group_id.oneOf.0","typeLabel":"integer\u003cint64>[]"},{"description":"IDs of groups the user belongs to.","items":{"format":"int64","type":"integer"},"type":"null","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.group_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.group_id","typeLabel":"integer\u003cint64>[] | null"},"locale":{"description":"Locale language.","examples":["en"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.locale","typeLabel":"string"},"location":{"description":"Geographic position as lat,lon string.","examples":["1.826483,-1.549486"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.location","typeLabel":"string"},"mail":{"description":"Email address.","examples":["john.doe@example.com"],"format":"email","type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.mail","typeLabel":"string\u003cemail>"},"phone":{"description":"Phone number.","examples":["0123456789"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.phone","typeLabel":"string"},"postal":{"description":"Postal code.","examples":["75000"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.postal","typeLabel":"string"},"role_data":{"additionalProperties":true,"properties":{"access":{"oneOf":[{"description":"Computed list of permission strings granted to this role.","items":{"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.access.oneOf.0.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.access.oneOf.0","typeLabel":"string[]"},{"description":"Computed list of permission strings granted to this role.","items":{"type":"string"},"type":"null","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.access.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.access","typeLabel":"string[] | null"},"color":{"description":"Role colour as a hex string.","examples":["#DF0D73"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.color","typeLabel":"string"},"id":{"description":"Role ID.","format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.id","typeLabel":"integer\u003cint64>"},"mobile":{"description":"Whether the role has mobile access.","type":"boolean","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.mobile","typeLabel":"boolean"},"name":{"description":"Role name.","type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.name","typeLabel":"string"},"order":{"description":"Display order for roles in role management view.","format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.order","typeLabel":"integer\u003cint64>"},"type":{"description":"Role type.","enum":["superadmin","admin","manager","user","custom"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.type","typeLabel":"enum\u003cstring>"},"web":{"description":"Whether the role has web access.","type":"boolean","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.web","typeLabel":"boolean"}},"type":"object","description":"User role.","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data","typeLabel":"object"},"status":{"description":"User status. Comma-separated list of strings. Values: 'available_week_morning,available_week_night,available_holidays,available_weekend,not_set'.","examples":["available_week_morning,available_weekend"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.status","typeLabel":"string"},"surname":{"description":"Last name.","examples":["Doe"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.surname","typeLabel":"string"},"two_factor_enable":{"description":"Indicates if two-factor authentication is enabled.","type":"boolean","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.two_factor_enable","typeLabel":"boolean"},"two_factor_method":{"description":"Two-factor authentication method.","enum":["email","totp"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.two_factor_method","typeLabel":"enum\u003cstring>"}},"type":"object","description":"User who created the note.","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user","typeLabel":"object"}},"required":["id"],"type":"object","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"data.contact.notes.oneOf.0","typeLabel":"object[]"},{"description":"Notes associated with the contact.","items":{"additionalProperties":true,"properties":{"contact_id":{"format":"int64","minimum":0,"type":"integer"},"created_at":{"format":"date-time","type":"string"},"data":{"description":"Content of the note.","type":"string"},"group_id":{"format":"int64","minimum":0,"type":"integer"},"id":{"format":"int64","minimum":0,"type":"integer"},"only_super_admin":{"description":"If true, only user with specific permissions can see this note.","type":"boolean"},"pinned":{"description":"Whether the note is pinned to the top of the contact's page.","type":"boolean"},"updated_at":{"format":"date-time","type":"string"},"user":{"additionalProperties":true,"properties":{"address":{"description":"Street address.","examples":["1 rue de la paix"],"type":"string"},"avatar":{"description":"Avatar URL.","examples":["https://example.com/avatar.png"],"format":"uri","type":"string"},"birthdate":{"description":"Birthdate.","format":"date-time","type":"string"},"city":{"description":"City.","examples":["Paris"],"type":"string"},"contacts":{"oneOf":[{"description":"Contacts (fiches) linked to this user account.","items":{"additionalProperties":true,"properties":{"id":{"description":"Unique identifier of the contact.","examples":[42],"format":"int64","minimum":0,"type":"integer"}},"required":["id"],"type":"object"},"type":"array"},{"description":"Contacts (fiches) linked to this user account.","items":{"additionalProperties":true,"properties":{"id":{"description":"Unique identifier of the contact.","examples":[42],"format":"int64","minimum":0,"type":"integer"}},"required":["id"],"type":"object"},"type":"null"}]},"firstname":{"description":"First name.","examples":["John"],"type":"string"},"group_id":{"oneOf":[{"description":"IDs of groups the user belongs to.","items":{"format":"int64","type":"integer"},"type":"array"},{"description":"IDs of groups the user belongs to.","items":{"format":"int64","type":"integer"},"type":"null"}]},"locale":{"description":"Locale language.","examples":["en"],"type":"string"},"location":{"description":"Geographic position as lat,lon string.","examples":["1.826483,-1.549486"],"type":"string"},"mail":{"description":"Email address.","examples":["john.doe@example.com"],"format":"email","type":"string"},"phone":{"description":"Phone number.","examples":["0123456789"],"type":"string"},"postal":{"description":"Postal code.","examples":["75000"],"type":"string"},"role_data":{"additionalProperties":true,"properties":{"access":{"oneOf":[{"description":"Computed list of permission strings granted to this role.","items":{"type":"string"},"type":"array"},{"description":"Computed list of permission strings granted to this role.","items":{"type":"string"},"type":"null"}]},"color":{"description":"Role colour as a hex string.","examples":["#DF0D73"],"type":"string"},"id":{"description":"Role ID.","format":"int64","minimum":0,"type":"integer"},"mobile":{"description":"Whether the role has mobile access.","type":"boolean"},"name":{"description":"Role name.","type":"string"},"order":{"description":"Display order for roles in role management view.","format":"int64","minimum":0,"type":"integer"},"type":{"description":"Role type.","enum":["superadmin","admin","manager","user","custom"],"type":"string"},"web":{"description":"Whether the role has web access.","type":"boolean"}},"type":"object","description":"User role."},"status":{"description":"User status. Comma-separated list of strings. Values: 'available_week_morning,available_week_night,available_holidays,available_weekend,not_set'.","examples":["available_week_morning,available_weekend"],"type":"string"},"surname":{"description":"Last name.","examples":["Doe"],"type":"string"},"two_factor_enable":{"description":"Indicates if two-factor authentication is enabled.","type":"boolean"},"two_factor_method":{"description":"Two-factor authentication method.","enum":["email","totp"],"type":"string"}},"type":"object","description":"User who created the note."}},"required":["id"],"type":"object"},"type":"null","uniqueKey":"data.contact.notes.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.notes","typeLabel":"object[] | null"},"phone":{"description":"Landline phone number.","type":"string","uniqueKey":"data.contact.phone","typeLabel":"string"},"phone_invalid":{"description":"Whether the landline phone number is invalid.","type":"boolean","uniqueKey":"data.contact.phone_invalid","typeLabel":"boolean"},"surname":{"description":"Last (family) name.","examples":["Doe"],"type":"string","uniqueKey":"data.contact.surname","typeLabel":"string"},"tags":{"oneOf":[{"description":"Tags attached to the contact.","items":{"additionalProperties":true,"properties":{"name":{"description":"Tag label.","examples":["volunteer"],"type":"string","isRequired":true,"uniqueKey":"data.contact.tags.oneOf.0.items.[INDEX].name","typeLabel":"string"}},"required":["name"],"type":"object","uniqueKey":"data.contact.tags.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"data.contact.tags.oneOf.0","typeLabel":"object[]"},{"description":"Tags attached to the contact.","items":{"additionalProperties":true,"properties":{"name":{"description":"Tag label.","examples":["volunteer"],"type":"string"}},"required":["name"],"type":"object"},"type":"null","uniqueKey":"data.contact.tags.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.tags","typeLabel":"object[] | null"},"user_contact_id":{"description":"ID of the user associated with the contact, if any.","format":"int64","type":"integer","uniqueKey":"data.contact.user_contact_id","typeLabel":"integer\u003cint64>"}},"required":["id"],"type":"object","isRequired":true,"uniqueKey":"data.contact","typeLabel":"object"}},"required":["contact"],"type":"object","isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["data"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":{"contact":{"action_ids":[1],"address":{"addition":"\u003cstring>","building":"\u003cstring>","city":"Paris","country":"France","county":"\u003cstring>","door":"\u003cstring>","floor":"\u003cstring>","housenumber":"12","infos":"\u003cstring>","pollingstation":"\u003cstring>","postalcode":"75001","state":"\u003cstring>","street":"Rue de Rivoli"},"age_category":1,"birth_city":"\u003cstring>","birth_country":"\u003cstring>","birth_dept":"\u003cstring>","birthdate":"2023-11-07T05:31:56Z","black_list":true,"custom_fields":[{"data":"XL","form_id":1,"form_ref_id":1}],"external_id":"\u003cstring>","firstname":"Jane","formdatas":[{"data":"Some answer","form_id":1,"form_ref_id":1,"date":"2023-11-07T05:31:56Z","survey_id":1}],"gender":"female","mail":"jane@example.com","married_name":"\u003cstring>","membership_code":"\u003cstring>","membership_number":1,"mobile":"\u003cstring>","mobile_invalid":true,"nationality":"\u003cstring>","nationbuilderid":1,"notes":[{"id":1,"contact_id":1,"created_at":"2023-11-07T05:31:56Z","data":"\u003cstring>","group_id":1,"only_super_admin":true,"pinned":true,"updated_at":"2023-11-07T05:31:56Z","user":{"address":"1 rue de la paix","avatar":"https://example.com/avatar.png","birthdate":"2023-11-07T05:31:56Z","city":"Paris","contacts":[{"id":42}],"firstname":"John","group_id":[123],"locale":"en","location":"1.826483,-1.549486","mail":"john.doe@example.com","phone":"0123456789","postal":"75000","role_data":{"access":["\u003cstring>"],"color":"#DF0D73","id":1,"mobile":true,"name":"\u003cstring>","order":1,"web":true},"status":"available_week_morning,available_weekend","surname":"Doe","two_factor_enable":true}}],"phone":"\u003cstring>","phone_invalid":true,"surname":"Doe","tags":[{"name":"volunteer"}],"user_contact_id":123}}}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"8de3f042-76d4-414e-b37b-8b989912cf7e":{"content":{"application/json":{"schema":{"additionalProperties":true,"properties":{"data":{"additionalProperties":true,"properties":{"contact":{"additionalProperties":true,"properties":{"id":{"description":"Unique identifier of the contact.","format":"int64","minimum":0,"readOnly":true,"type":"integer","isRequired":true,"uniqueKey":"data.contact.id","typeLabel":"integer\u003cint64>"},"CreatedAt":{"description":"Timestamp when the contact was created.","format":"date-time","readOnly":true,"type":"string","uniqueKey":"data.contact.CreatedAt","typeLabel":"string\u003cdate-time>"},"UpdatedAt":{"description":"Timestamp when the contact was last updated.","format":"date-time","readOnly":true,"type":"string","uniqueKey":"data.contact.UpdatedAt","typeLabel":"string\u003cdate-time>"},"action_ids":{"oneOf":[{"description":"IDs of actions of which the contact is targeted.","items":{"format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.action_ids.oneOf.0.items.[INDEX]","typeLabel":"integer\u003cint64>"},"type":"array","uniqueKey":"data.contact.action_ids.oneOf.0","typeLabel":"integer\u003cint64>[]"},{"description":"IDs of actions of which the contact is targeted.","items":{"format":"int64","minimum":0,"type":"integer"},"type":"null","uniqueKey":"data.contact.action_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.action_ids","typeLabel":"integer\u003cint64>[] | null"},"address":{"additionalProperties":true,"properties":{"addition":{"description":"Additional address info.","type":"string","uniqueKey":"data.contact.address.addition","typeLabel":"string"},"building":{"description":"Building name or identifier.","type":"string","uniqueKey":"data.contact.address.building","typeLabel":"string"},"building_type":{"description":"Type of building.","enum":["house","apartment","office","other"],"type":"string","uniqueKey":"data.contact.address.building_type","typeLabel":"enum\u003cstring>"},"city":{"description":"City name.","examples":["Paris"],"type":"string","uniqueKey":"data.contact.address.city","typeLabel":"string"},"country":{"description":"Country.","examples":["France"],"type":"string","uniqueKey":"data.contact.address.country","typeLabel":"string"},"county":{"description":"County or department.","type":"string","uniqueKey":"data.contact.address.county","typeLabel":"string"},"door":{"description":"Door or apartment identifier.","type":"string","uniqueKey":"data.contact.address.door","typeLabel":"string"},"floor":{"description":"Floor number.","type":"string","uniqueKey":"data.contact.address.floor","typeLabel":"string"},"housenumber":{"description":"Street number.","examples":["12"],"type":"string","uniqueKey":"data.contact.address.housenumber","typeLabel":"string"},"id":{"description":"Unique identifier of the address.","examples":[7],"format":"int64","minimum":0,"readOnly":true,"type":"integer","uniqueKey":"data.contact.address.id","typeLabel":"integer\u003cint64>"},"infos":{"description":"Additional address information.","type":"string","uniqueKey":"data.contact.address.infos","typeLabel":"string"},"latitude":{"description":"WGS-84 latitude.","examples":["48.8606"],"readOnly":true,"type":"string","uniqueKey":"data.contact.address.latitude","typeLabel":"string"},"location":{"description":"Geocoded location string.","examples":["48.8606,2.3376"],"readOnly":true,"type":"string","uniqueKey":"data.contact.address.location","typeLabel":"string"},"longitude":{"description":"WGS-84 longitude.","examples":["2.3376"],"readOnly":true,"type":"string","uniqueKey":"data.contact.address.longitude","typeLabel":"string"},"pollingstation":{"type":"string","uniqueKey":"data.contact.address.pollingstation","typeLabel":"string"},"postalcode":{"description":"Postal / ZIP code.","examples":["75001"],"type":"string","uniqueKey":"data.contact.address.postalcode","typeLabel":"string"},"score":{"description":"Address geocoding accuracy score 0-1","format":"int64","readOnly":true,"type":"integer","uniqueKey":"data.contact.address.score","typeLabel":"integer\u003cint64>"},"state":{"description":"State or region.","type":"string","uniqueKey":"data.contact.address.state","typeLabel":"string"},"street":{"description":"Street name.","examples":["Rue de Rivoli"],"type":"string","uniqueKey":"data.contact.address.street","typeLabel":"string"}},"type":"object","description":"Postal address.","uniqueKey":"data.contact.address","typeLabel":"object"},"age_category":{"description":"Age category.","format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.age_category","typeLabel":"integer\u003cint64>"},"birth_city":{"description":"City of birth.","type":"string","uniqueKey":"data.contact.birth_city","typeLabel":"string"},"birth_country":{"description":"Country code of birth.","type":"string","uniqueKey":"data.contact.birth_country","typeLabel":"string"},"birth_dept":{"description":"Department of birth.","type":"string","uniqueKey":"data.contact.birth_dept","typeLabel":"string"},"birthdate":{"description":"Date of birth.","format":"date-time","type":"string","uniqueKey":"data.contact.birthdate","typeLabel":"string\u003cdate-time>"},"black_list":{"description":"Whether the contact has opted out of communications.","type":"boolean","uniqueKey":"data.contact.black_list","typeLabel":"boolean"},"custom_fields":{"oneOf":[{"description":"Organisation-defined custom fields.","items":{"additionalProperties":true,"properties":{"data":{"description":"Custom field value.","examples":["XL"],"type":"string","isRequired":true,"uniqueKey":"data.contact.custom_fields.oneOf.0.items.[INDEX].data","typeLabel":"string"},"form_id":{"description":"Form ID.","format":"int64","minimum":0,"type":"integer","isRequired":true,"uniqueKey":"data.contact.custom_fields.oneOf.0.items.[INDEX].form_id","typeLabel":"integer\u003cint64>"},"form_ref_id":{"description":"Form reference ID.","format":"int64","minimum":0,"type":"integer","isRequired":true,"uniqueKey":"data.contact.custom_fields.oneOf.0.items.[INDEX].form_ref_id","typeLabel":"integer\u003cint64>"},"id":{"description":"Custom field definition ID.","format":"int64","minimum":0,"readOnly":true,"type":"integer","isRequired":true,"uniqueKey":"data.contact.custom_fields.oneOf.0.items.[INDEX].id","typeLabel":"integer\u003cint64>"}},"required":["id","form_id","form_ref_id","data"],"type":"object","uniqueKey":"data.contact.custom_fields.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"data.contact.custom_fields.oneOf.0","typeLabel":"object[]"},{"description":"Organisation-defined custom fields.","items":{"additionalProperties":true,"properties":{"data":{"description":"Custom field value.","examples":["XL"],"type":"string"},"form_id":{"description":"Form ID.","format":"int64","minimum":0,"type":"integer"},"form_ref_id":{"description":"Form reference ID.","format":"int64","minimum":0,"type":"integer"},"id":{"description":"Custom field definition ID.","format":"int64","minimum":0,"readOnly":true,"type":"integer"}},"required":["id","form_id","form_ref_id","data"],"type":"object"},"type":"null","uniqueKey":"data.contact.custom_fields.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.custom_fields","typeLabel":"object[] | null"},"external_id":{"description":"Identifier of the contact in an external system, used for upsert matching. Returned so clients can map their own IDs to Qomon IDs.","type":"string","uniqueKey":"data.contact.external_id","typeLabel":"string"},"firstname":{"description":"First name.","examples":["Jane"],"type":"string","uniqueKey":"data.contact.firstname","typeLabel":"string"},"formdatas":{"oneOf":[{"description":"Organisation-defined form data.","items":{"additionalProperties":true,"properties":{"data":{"description":"Form data value.","examples":["Some answer"],"type":"string","isRequired":true,"uniqueKey":"data.contact.formdatas.oneOf.0.items.[INDEX].data","typeLabel":"string"},"form_id":{"description":"Form ID.","format":"int64","minimum":0,"type":"integer","isRequired":true,"uniqueKey":"data.contact.formdatas.oneOf.0.items.[INDEX].form_id","typeLabel":"integer\u003cint64>"},"form_ref_id":{"description":"Form reference ID.","format":"int64","minimum":0,"type":"integer","isRequired":true,"uniqueKey":"data.contact.formdatas.oneOf.0.items.[INDEX].form_ref_id","typeLabel":"integer\u003cint64>"},"id":{"description":"Form data ID.","format":"int64","minimum":0,"readOnly":true,"type":"integer","isRequired":true,"uniqueKey":"data.contact.formdatas.oneOf.0.items.[INDEX].id","typeLabel":"integer\u003cint64>"},"contact_id":{"description":"ID of the contact the form data belongs to.","format":"int64","minimum":0,"readOnly":true,"type":"integer","uniqueKey":"data.contact.formdatas.oneOf.0.items.[INDEX].contact_id","typeLabel":"integer\u003cint64>"},"date":{"description":"Date of the form data.","format":"date-time","type":"string","uniqueKey":"data.contact.formdatas.oneOf.0.items.[INDEX].date","typeLabel":"string\u003cdate-time>"},"group_id":{"description":"ID of the group the form data belongs to.","format":"int64","minimum":0,"readOnly":true,"type":"integer","uniqueKey":"data.contact.formdatas.oneOf.0.items.[INDEX].group_id","typeLabel":"integer\u003cint64>"},"survey_id":{"description":"Survey ID if the form data is from a survey.","format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.formdatas.oneOf.0.items.[INDEX].survey_id","typeLabel":"integer\u003cint64>"}},"required":["id","form_id","form_ref_id","data"],"type":"object","uniqueKey":"data.contact.formdatas.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"data.contact.formdatas.oneOf.0","typeLabel":"object[]"},{"description":"Organisation-defined form data.","items":{"additionalProperties":true,"properties":{"contact_id":{"description":"ID of the contact the form data belongs to.","format":"int64","minimum":0,"readOnly":true,"type":"integer"},"data":{"description":"Form data value.","examples":["Some answer"],"type":"string"},"date":{"description":"Date of the form data.","format":"date-time","type":"string"},"form_id":{"description":"Form ID.","format":"int64","minimum":0,"type":"integer"},"form_ref_id":{"description":"Form reference ID.","format":"int64","minimum":0,"type":"integer"},"group_id":{"description":"ID of the group the form data belongs to.","format":"int64","minimum":0,"readOnly":true,"type":"integer"},"id":{"description":"Form data ID.","format":"int64","minimum":0,"readOnly":true,"type":"integer"},"survey_id":{"description":"Survey ID if the form data is from a survey.","format":"int64","minimum":0,"type":"integer"}},"required":["id","form_id","form_ref_id","data"],"type":"object"},"type":"null","uniqueKey":"data.contact.formdatas.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.formdatas","typeLabel":"object[] | null"},"gender":{"description":"Gender. One of: M (Male), F (Female), O (Other). Empty if unknown.","enum":["M","F","O"],"examples":["female"],"type":"string","uniqueKey":"data.contact.gender","typeLabel":"enum\u003cstring>"},"group_id":{"description":"ID of the group the contact belongs to.","format":"int64","minimum":0,"readOnly":true,"type":"integer","uniqueKey":"data.contact.group_id","typeLabel":"integer\u003cint64>"},"lastchange":{"oneOf":[{"format":"date-time","readOnly":true,"type":"string","uniqueKey":"data.contact.lastchange.oneOf.0","typeLabel":"string\u003cdate-time>"},{"format":"date-time","readOnly":true,"type":"null","uniqueKey":"data.contact.lastchange.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.lastchange","typeLabel":"string\u003cdate-time> | null"},"lastchangeuserid":{"format":"int64","minimum":0,"readOnly":true,"type":"integer","uniqueKey":"data.contact.lastchangeuserid","typeLabel":"integer\u003cint64>"},"mail":{"description":"Primary email address.","examples":["jane@example.com"],"format":"email","type":"string","uniqueKey":"data.contact.mail","typeLabel":"string\u003cemail>"},"married_name":{"type":"string","uniqueKey":"data.contact.married_name","typeLabel":"string"},"membership_code":{"description":"Membership code (prefix + serial).","type":"string","uniqueKey":"data.contact.membership_code","typeLabel":"string"},"membership_number":{"description":"Membership serial number assigned when the contact's first membership is created.","format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.membership_number","typeLabel":"integer\u003cint64>"},"mobile":{"description":"Mobile phone number.","type":"string","uniqueKey":"data.contact.mobile","typeLabel":"string"},"mobile_invalid":{"description":"Whether the mobile phone number is invalid.","type":"boolean","uniqueKey":"data.contact.mobile_invalid","typeLabel":"boolean"},"nationality":{"description":"Nationality.","type":"string","uniqueKey":"data.contact.nationality","typeLabel":"string"},"nationbuilderid":{"description":"Identifier of the contact in NationBuilder, when the organisation syncs with NationBuilder.","format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.nationbuilderid","typeLabel":"integer\u003cint64>"},"notes":{"oneOf":[{"description":"Notes associated with the contact.","items":{"additionalProperties":true,"properties":{"id":{"format":"int64","minimum":0,"type":"integer","isRequired":true,"uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].id","typeLabel":"integer\u003cint64>"},"contact_id":{"format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].contact_id","typeLabel":"integer\u003cint64>"},"created_at":{"format":"date-time","type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"data":{"description":"Content of the note.","type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].data","typeLabel":"string"},"group_id":{"format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].group_id","typeLabel":"integer\u003cint64>"},"only_super_admin":{"description":"If true, only user with specific permissions can see this note.","type":"boolean","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].only_super_admin","typeLabel":"boolean"},"pinned":{"description":"Whether the note is pinned to the top of the contact's page.","type":"boolean","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].pinned","typeLabel":"boolean"},"updated_at":{"format":"date-time","type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"user":{"additionalProperties":true,"properties":{"CreatedAt":{"description":"Timestamp when the user was created.","format":"date-time","readOnly":true,"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.CreatedAt","typeLabel":"string\u003cdate-time>"},"UpdatedAt":{"description":"Timestamp when the user was last updated.","format":"date-time","readOnly":true,"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.UpdatedAt","typeLabel":"string\u003cdate-time>"},"address":{"description":"Street address.","examples":["1 rue de la paix"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.address","typeLabel":"string"},"avatar":{"description":"Avatar URL.","examples":["https://example.com/avatar.png"],"format":"uri","type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.avatar","typeLabel":"string\u003curi>"},"birthdate":{"description":"Birthdate.","format":"date-time","type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.birthdate","typeLabel":"string\u003cdate-time>"},"city":{"description":"City.","examples":["Paris"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.city","typeLabel":"string"},"contacts":{"oneOf":[{"description":"Contacts (fiches) linked to this user account.","items":{"additionalProperties":true,"properties":{"id":{"description":"Unique identifier of the contact.","examples":[42],"format":"int64","minimum":0,"type":"integer","isRequired":true,"uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.contacts.oneOf.0.items.[INDEX].id","typeLabel":"integer\u003cint64>"}},"required":["id"],"type":"object","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.contacts.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.contacts.oneOf.0","typeLabel":"object[]"},{"description":"Contacts (fiches) linked to this user account.","items":{"additionalProperties":true,"properties":{"id":{"description":"Unique identifier of the contact.","examples":[42],"format":"int64","minimum":0,"type":"integer"}},"required":["id"],"type":"object"},"type":"null","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.contacts.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.contacts","typeLabel":"object[] | null"},"created":{"description":"Legacy creation timestamp returned by the upstream service.","format":"date-time","readOnly":true,"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.created","typeLabel":"string\u003cdate-time>"},"firstname":{"description":"First name.","examples":["John"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.firstname","typeLabel":"string"},"group_id":{"oneOf":[{"description":"IDs of groups the user belongs to.","items":{"format":"int64","type":"integer","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.group_id.oneOf.0.items.[INDEX]","typeLabel":"integer\u003cint64>"},"type":"array","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.group_id.oneOf.0","typeLabel":"integer\u003cint64>[]"},{"description":"IDs of groups the user belongs to.","items":{"format":"int64","type":"integer"},"type":"null","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.group_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.group_id","typeLabel":"integer\u003cint64>[] | null"},"id":{"description":"Unique identifier of the user.","examples":[101],"format":"int64","readOnly":true,"type":"integer","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.id","typeLabel":"integer\u003cint64>"},"locale":{"description":"Locale language.","examples":["en"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.locale","typeLabel":"string"},"location":{"description":"Geographic position as lat,lon string.","examples":["1.826483,-1.549486"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.location","typeLabel":"string"},"mail":{"description":"Email address.","examples":["john.doe@example.com"],"format":"email","type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.mail","typeLabel":"string\u003cemail>"},"phone":{"description":"Phone number.","examples":["0123456789"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.phone","typeLabel":"string"},"postal":{"description":"Postal code.","examples":["75000"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.postal","typeLabel":"string"},"role_data":{"additionalProperties":true,"properties":{"access":{"oneOf":[{"description":"Computed list of permission strings granted to this role.","items":{"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.access.oneOf.0.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.access.oneOf.0","typeLabel":"string[]"},{"description":"Computed list of permission strings granted to this role.","items":{"type":"string"},"type":"null","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.access.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.access","typeLabel":"string[] | null"},"color":{"description":"Role colour as a hex string.","examples":["#DF0D73"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.color","typeLabel":"string"},"id":{"description":"Role ID.","format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.id","typeLabel":"integer\u003cint64>"},"mobile":{"description":"Whether the role has mobile access.","type":"boolean","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.mobile","typeLabel":"boolean"},"name":{"description":"Role name.","type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.name","typeLabel":"string"},"order":{"description":"Display order for roles in role management view.","format":"int64","minimum":0,"type":"integer","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.order","typeLabel":"integer\u003cint64>"},"type":{"description":"Role type.","enum":["superadmin","admin","manager","user","custom"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.type","typeLabel":"enum\u003cstring>"},"web":{"description":"Whether the role has web access.","type":"boolean","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data.web","typeLabel":"boolean"}},"type":"object","description":"User role.","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.role_data","typeLabel":"object"},"status":{"description":"User status. Comma-separated list of strings. Values: 'available_week_morning,available_week_night,available_holidays,available_weekend,not_set'.","examples":["available_week_morning,available_weekend"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.status","typeLabel":"string"},"surname":{"description":"Last name.","examples":["Doe"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.surname","typeLabel":"string"},"two_factor_enable":{"description":"Indicates if two-factor authentication is enabled.","type":"boolean","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.two_factor_enable","typeLabel":"boolean"},"two_factor_method":{"description":"Two-factor authentication method.","enum":["email","totp"],"type":"string","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user.two_factor_method","typeLabel":"enum\u003cstring>"}},"type":"object","description":"User who created the note.","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX].user","typeLabel":"object"}},"required":["id"],"type":"object","uniqueKey":"data.contact.notes.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"data.contact.notes.oneOf.0","typeLabel":"object[]"},{"description":"Notes associated with the contact.","items":{"additionalProperties":true,"properties":{"contact_id":{"format":"int64","minimum":0,"type":"integer"},"created_at":{"format":"date-time","type":"string"},"data":{"description":"Content of the note.","type":"string"},"group_id":{"format":"int64","minimum":0,"type":"integer"},"id":{"format":"int64","minimum":0,"type":"integer"},"only_super_admin":{"description":"If true, only user with specific permissions can see this note.","type":"boolean"},"pinned":{"description":"Whether the note is pinned to the top of the contact's page.","type":"boolean"},"updated_at":{"format":"date-time","type":"string"},"user":{"additionalProperties":true,"properties":{"CreatedAt":{"description":"Timestamp when the user was created.","format":"date-time","readOnly":true,"type":"string"},"UpdatedAt":{"description":"Timestamp when the user was last updated.","format":"date-time","readOnly":true,"type":"string"},"address":{"description":"Street address.","examples":["1 rue de la paix"],"type":"string"},"avatar":{"description":"Avatar URL.","examples":["https://example.com/avatar.png"],"format":"uri","type":"string"},"birthdate":{"description":"Birthdate.","format":"date-time","type":"string"},"city":{"description":"City.","examples":["Paris"],"type":"string"},"contacts":{"oneOf":[{"description":"Contacts (fiches) linked to this user account.","items":{"additionalProperties":true,"properties":{"id":{"description":"Unique identifier of the contact.","examples":[42],"format":"int64","minimum":0,"type":"integer"}},"required":["id"],"type":"object"},"type":"array"},{"description":"Contacts (fiches) linked to this user account.","items":{"additionalProperties":true,"properties":{"id":{"description":"Unique identifier of the contact.","examples":[42],"format":"int64","minimum":0,"type":"integer"}},"required":["id"],"type":"object"},"type":"null"}]},"created":{"description":"Legacy creation timestamp returned by the upstream service.","format":"date-time","readOnly":true,"type":"string"},"firstname":{"description":"First name.","examples":["John"],"type":"string"},"group_id":{"oneOf":[{"description":"IDs of groups the user belongs to.","items":{"format":"int64","type":"integer"},"type":"array"},{"description":"IDs of groups the user belongs to.","items":{"format":"int64","type":"integer"},"type":"null"}]},"id":{"description":"Unique identifier of the user.","examples":[101],"format":"int64","readOnly":true,"type":"integer"},"locale":{"description":"Locale language.","examples":["en"],"type":"string"},"location":{"description":"Geographic position as lat,lon string.","examples":["1.826483,-1.549486"],"type":"string"},"mail":{"description":"Email address.","examples":["john.doe@example.com"],"format":"email","type":"string"},"phone":{"description":"Phone number.","examples":["0123456789"],"type":"string"},"postal":{"description":"Postal code.","examples":["75000"],"type":"string"},"role_data":{"additionalProperties":true,"properties":{"access":{"oneOf":[{"description":"Computed list of permission strings granted to this role.","items":{"type":"string"},"type":"array"},{"description":"Computed list of permission strings granted to this role.","items":{"type":"string"},"type":"null"}]},"color":{"description":"Role colour as a hex string.","examples":["#DF0D73"],"type":"string"},"id":{"description":"Role ID.","format":"int64","minimum":0,"type":"integer"},"mobile":{"description":"Whether the role has mobile access.","type":"boolean"},"name":{"description":"Role name.","type":"string"},"order":{"description":"Display order for roles in role management view.","format":"int64","minimum":0,"type":"integer"},"type":{"description":"Role type.","enum":["superadmin","admin","manager","user","custom"],"type":"string"},"web":{"description":"Whether the role has web access.","type":"boolean"}},"type":"object","description":"User role."},"status":{"description":"User status. Comma-separated list of strings. Values: 'available_week_morning,available_week_night,available_holidays,available_weekend,not_set'.","examples":["available_week_morning,available_weekend"],"type":"string"},"surname":{"description":"Last name.","examples":["Doe"],"type":"string"},"two_factor_enable":{"description":"Indicates if two-factor authentication is enabled.","type":"boolean"},"two_factor_method":{"description":"Two-factor authentication method.","enum":["email","totp"],"type":"string"}},"type":"object","description":"User who created the note."}},"required":["id"],"type":"object"},"type":"null","uniqueKey":"data.contact.notes.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.notes","typeLabel":"object[] | null"},"phone":{"description":"Landline phone number.","type":"string","uniqueKey":"data.contact.phone","typeLabel":"string"},"phone_invalid":{"description":"Whether the landline phone number is invalid.","type":"boolean","uniqueKey":"data.contact.phone_invalid","typeLabel":"boolean"},"surname":{"description":"Last (family) name.","examples":["Doe"],"type":"string","uniqueKey":"data.contact.surname","typeLabel":"string"},"tags":{"oneOf":[{"description":"Tags attached to the contact.","items":{"additionalProperties":true,"properties":{"name":{"description":"Tag label.","examples":["volunteer"],"type":"string","isRequired":true,"uniqueKey":"data.contact.tags.oneOf.0.items.[INDEX].name","typeLabel":"string"}},"required":["name"],"type":"object","uniqueKey":"data.contact.tags.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"data.contact.tags.oneOf.0","typeLabel":"object[]"},{"description":"Tags attached to the contact.","items":{"additionalProperties":true,"properties":{"name":{"description":"Tag label.","examples":["volunteer"],"type":"string"}},"required":["name"],"type":"object"},"type":"null","uniqueKey":"data.contact.tags.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.contact.tags","typeLabel":"object[] | null"},"user_contact_id":{"description":"ID of the user associated with the contact, if any.","format":"int64","type":"integer","uniqueKey":"data.contact.user_contact_id","typeLabel":"integer\u003cint64>"}},"required":["id"],"type":"object","isRequired":true,"uniqueKey":"data.contact","typeLabel":"object"}},"required":["contact"],"type":"object","isRequired":true,"uniqueKey":"data","typeLabel":"object"},"status":{"description":"Operation result.","examples":["success"],"type":"string","isRequired":true,"uniqueKey":"status","typeLabel":"string"}},"required":["status","data"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":{"contact":{"id":1,"CreatedAt":"2023-11-07T05:31:56Z","UpdatedAt":"2023-11-07T05:31:56Z","action_ids":[1],"address":{"addition":"\u003cstring>","building":"\u003cstring>","building_type":"house","city":"Paris","country":"France","county":"\u003cstring>","door":"\u003cstring>","floor":"\u003cstring>","housenumber":"12","id":7,"infos":"\u003cstring>","latitude":"48.8606","location":"48.8606,2.3376","longitude":"2.3376","pollingstation":"\u003cstring>","postalcode":"75001","score":123,"state":"\u003cstring>","street":"Rue de Rivoli"},"age_category":1,"birth_city":"\u003cstring>","birth_country":"\u003cstring>","birth_dept":"\u003cstring>","birthdate":"2023-11-07T05:31:56Z","black_list":true,"custom_fields":[{"data":"XL","form_id":1,"form_ref_id":1,"id":1}],"external_id":"\u003cstring>","firstname":"Jane","formdatas":[{"data":"Some answer","form_id":1,"form_ref_id":1,"id":1,"contact_id":1,"date":"2023-11-07T05:31:56Z","group_id":1,"survey_id":1}],"gender":"female","group_id":1,"lastchange":"2023-11-07T05:31:56Z","lastchangeuserid":1,"mail":"jane@example.com","married_name":"\u003cstring>","membership_code":"\u003cstring>","membership_number":1,"mobile":"\u003cstring>","mobile_invalid":true,"nationality":"\u003cstring>","nationbuilderid":1,"notes":[{"id":1,"contact_id":1,"created_at":"2023-11-07T05:31:56Z","data":"\u003cstring>","group_id":1,"only_super_admin":true,"pinned":true,"updated_at":"2023-11-07T05:31:56Z","user":{"CreatedAt":"2023-11-07T05:31:56Z","UpdatedAt":"2023-11-07T05:31:56Z","address":"1 rue de la paix","avatar":"https://example.com/avatar.png","birthdate":"2023-11-07T05:31:56Z","city":"Paris","contacts":[{"id":42}],"created":"2023-11-07T05:31:56Z","firstname":"John","group_id":[123],"id":101,"locale":"en","location":"1.826483,-1.549486","mail":"john.doe@example.com","phone":"0123456789","postal":"75000","role_data":{"access":["\u003cstring>"],"color":"#DF0D73","id":1,"mobile":true,"name":"\u003cstring>","order":1,"type":"superadmin","web":true},"status":"available_week_morning,available_weekend","surname":"Doe","two_factor_enable":true,"two_factor_method":"email"}}],"phone":"\u003cstring>","phone_invalid":true,"surname":"Doe","tags":[{"name":"volunteer"}],"user_contact_id":123}},"status":"success"}}},"exampleType":"generated"}},"description":"OK","exampleType":"generated"},"bb1aac28-bfcc-45d4-ab05-8b03bf8b510f":{"content":{"application/problem+json":{"schema":{"additionalProperties":true,"properties":{"detail":{"description":"A human-readable explanation specific to this occurrence of the problem.","examples":["Property foo is required but is missing."],"type":"string","uniqueKey":"detail","typeLabel":"string"},"errors":{"oneOf":[{"description":"Optional list of individual error details","items":{"additionalProperties":true,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].location","typeLabel":"string"},"message":{"description":"Error message text","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].message","typeLabel":"string"},"value":{"description":"The value at the given location","uniqueKey":"errors.oneOf.0.items.[INDEX].value","typeLabel":"any"}},"type":"object","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"errors.oneOf.0","typeLabel":"object[]"},{"description":"Optional list of individual error details","items":{"additionalProperties":true,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string"},"message":{"description":"Error message text","type":"string"},"value":{"description":"The value at the given location"}},"type":"object"},"type":"null","uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"object[] | null"},"instance":{"description":"A URI reference that identifies the specific occurrence of the problem.","examples":["https://example.com/error-log/abc123"],"format":"uri","type":"string","uniqueKey":"instance","typeLabel":"string\u003curi>"},"status":{"description":"HTTP status code","examples":[400],"format":"int64","type":"integer","uniqueKey":"status","typeLabel":"integer\u003cint64>"},"title":{"description":"A short, human-readable summary of the problem type. This value should not change between occurrences of the error.","examples":["Bad Request"],"type":"string","uniqueKey":"title","typeLabel":"string"},"type":{"default":"about:blank","description":"A URI reference to human-readable documentation for the error.","examples":["https://example.com/errors/example"],"format":"uri","type":"string","uniqueKey":"type","typeLabel":"string\u003curi>"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"detail":"Property foo is required but is missing.","errors":[{"location":"\u003cstring>","message":"\u003cstring>","value":"\u003cunknown>"}],"instance":"https://example.com/error-log/abc123","status":400,"title":"Bad Request","type":"https://example.com/errors/example"}}},"exampleType":"generated"}},"description":"Error","exampleType":"generated"}},"security":{"7ed577ea-6a1c-44bc-a997-193d3ec3c1c0":{"bearerAuth":{"bearerFormat":"opaque","description":"OAuth2 access token. Pass the token in the Authorization header as `Bearer \u003ctoken>`. The token is looked up in Redis to resolve the caller identity.","scheme":"bearer","type":"http","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"a76354b6-22cf-4a76-a1ef-c7f8416eccf0":{"description":"Production","url":"https://incoming.qomon.app"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"bearerFormat":"opaque","description":"OAuth2 access token. Pass the token in the Authorization header as `Bearer \u003ctoken>`. The token is looked up in Redis to resolve the caller identity.","scheme":"bearer","type":"http","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"OAuth2 access token. Pass the token in the Authorization header as `Bearer \u003ctoken>`. The token is looked up in Redis to resolve the caller identity.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"src/autogen/incoming-openapi3.0.yaml"},"subdomain":"qomon-86428773","siteName":"Qomon API Hub","title":"Create a contact - Qomon API Hub","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"originalFileLocation":"api-reference/contacts/create-a-contact.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Creates a contact in the Qomon database.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Qomon API Hub\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/qomon-86428773/mSPytEkIx-ck8nYf/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/qomon-86428773/mSPytEkIx-ck8nYf/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/qomon-86428773/mSPytEkIx-ck8nYf/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/qomon-86428773/mSPytEkIx-ck8nYf/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/qomon-86428773/mSPytEkIx-ck8nYf/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/qomon-86428773/mSPytEkIx-ck8nYf/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/qomon-86428773/mSPytEkIx-ck8nYf/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/qomon-86428773/mSPytEkIx-ck8nYf/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/qomon-86428773/mSPytEkIx-ck8nYf/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a contact - Qomon API Hub\">\u003cmeta data-mint-head property=\"og:description\" content=\"Creates a contact in the Qomon database.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Qomon API Hub\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developers.qomon.com/api-reference/contacts/create-a-contact\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://qomon-86428773.mintlify.app/_mintlify/api/og/v2?division=Contacts\u0026amp;title=Create+a+contact\u0026amp;description=Creates+a+contact+in+the+Qomon+database.\u0026amp;theme=f092dc1f2c05a94a14f00dc2\u0026amp;signature=83ea72b3b1d082d505f6bf08e331ad439e63b898edced811df4db635c9bfd9cb\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a contact - Qomon API Hub\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Creates a contact in the Qomon database.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://qomon-86428773.mintlify.app/_mintlify/api/og/v2?division=Contacts\u0026amp;title=Create+a+contact\u0026amp;description=Creates+a+contact+in+the+Qomon+database.\u0026amp;theme=f092dc1f2c05a94a14f00dc2\u0026amp;signature=83ea72b3b1d082d505f6bf08e331ad439e63b898edced811df4db635c9bfd9cb\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/qomon-86428773/mSPytEkIx-ck8nYf/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Qomon API Hub\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#000000\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developers.qomon.com/api-reference/contacts/create-a-contact\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/contacts/create-a-contact.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developers.qomon.com/#organization\",\"name\":\"Qomon API Hub\",\"url\":\"https://developers.qomon.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/qomon-86428773/fuov2pKIh80Duxbd/images/API_BackgroundL.png?fit=max\u0026auto=format\u0026n=fuov2pKIh80Duxbd\u0026q=85\u0026s=48a09706c5fccae4dec9a11fa679a5db\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developers.qomon.com#website\",\"name\":\"Qomon API Hub\",\"url\":\"https://developers.qomon.com\",\"publisher\":{\"@id\":\"https://developers.qomon.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developers.qomon.com/api-reference/contacts/create-a-contact#webpage\",\"url\":\"https://developers.qomon.com/api-reference/contacts/create-a-contact\",\"name\":\"Create a contact\",\"description\":\"Creates a contact in the Qomon database.\",\"isPartOf\":{\"@id\":\"https://developers.qomon.com#website\"},\"breadcrumb\":{\"@id\":\"https://developers.qomon.com/api-reference/contacts/create-a-contact#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developers.qomon.com/api-reference/contacts/create-a-contact#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Contacts\",\"item\":\"https://developers.qomon.com/pages/v1/reference/contacts/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create a contact\",\"item\":\"https://developers.qomon.com/api-reference/contacts/create-a-contact\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developers.qomon.com/api-reference/contacts/create-a-contact#apireference\",\"headline\":\"Create a contact\",\"name\":\"Create a contact\",\"description\":\"Creates a contact in the Qomon database.\",\"url\":\"https://developers.qomon.com/api-reference/contacts/create-a-contact\",\"mainEntityOfPage\":{\"@id\":\"https://developers.qomon.com/api-reference/contacts/create-a-contact#webpage\"},\"publisher\":{\"@id\":\"https://developers.qomon.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developers.qomon.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Qomon API Hub\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Qomon API Hub","nav":{"global":null,"tabs":[{"tab":"Developers","icon":"code-xml","pages":[{"title":"Welcome","mode":"center","href":"/pages/v1/discover"},{"title":"Getting started","href":"/pages/v1/getting-started"},{"title":"Rate limits","href":"/pages/v1/rate-limits"},{"group":"Contacts","icon":"contact-round","expanded":true,"pages":[{"title":"Overview","href":"/pages/v1/reference/contacts/overview"},{"title":"Create and update contacts","href":"/pages/v1/reference/contacts/contact-form-fields"},{"title":"Handle form structure","href":"/pages/v1/reference/forms/overview"},{"title":"Data synchronization","description":"Fetch contacts created or updated since your last polling window by querying the Search API on a schedule.","href":"/pages/v1/api-polling"},{"group":"Contacts","pages":[{"title":"Create a contact","deprecated":null,"version":null,"openapi":"/src/autogen/incoming-openapi3.0.yaml post /contacts","href":"/api-reference/contacts/create-a-contact"},{"title":"Upsert a contact","description":"Asynchronously creates or updates a contact in the Qomon database. See the upsert rules in the documentation.","deprecated":null,"version":null,"openapi":"/src/autogen/incoming-openapi3.0.yaml post /contacts/upsert","href":"/api-reference/contacts/upsert-a-contact"},{"title":"Find a contact by ID","deprecated":null,"version":null,"openapi":"/src/autogen/incoming-openapi3.0.yaml get /contacts/{contactId}","href":"/api-reference/contacts/find-a-contact-by-id"},{"title":"Delete a contact by ID","deprecated":null,"version":null,"openapi":"/src/autogen/incoming-openapi3.0.yaml delete /contacts/{contactId}","href":"/api-reference/contacts/delete-a-contact-by-id"},{"title":"Update contact by ID","deprecated":null,"version":null,"openapi":"/src/autogen/incoming-openapi3.0.yaml patch /contacts/{contactId}","href":"/api-reference/contacts/update-contact-by-id"}]},{"group":"Forms","pages":[{"title":"Get a form","deprecated":null,"version":null,"openapi":"/src/autogen/incoming-openapi3.0.yaml get /forms/{id}","href":"/api-reference/forms/get-a-form"},{"title":"List forms by type","deprecated":null,"version":null,"openapi":"/src/autogen/incoming-openapi3.0.yaml get /v1/forms/type/{type}","href":"/api-reference/forms/list-forms-by-type"}]}]},{"group":"Search","icon":"search","pages":[{"title":"Overview","href":"/pages/v1/reference/search/overview"},{"group":"Search","pages":[{"title":"Contact count KPI","deprecated":null,"version":null,"openapi":"/src/autogen/incoming-search-openapi3.0.yaml post /kpi","href":"/api-reference/search/contact-count-kpi"},{"title":"Search contacts","deprecated":null,"version":null,"openapi":"/src/autogen/incoming-search-openapi3.0.yaml post /search","href":"/api-reference/search/search-contacts"}]}]},{"group":"Actions","icon":"send","pages":[{"group":"Actions","pages":[{"title":"Get actions","deprecated":null,"version":null,"openapi":"/src/autogen/incoming-actions-openapi3.0.yaml get /actions","href":"/api-reference/actions/get-actions"}]}]},{"group":"Fundraising","icon":"dollar-sign","pages":[{"title":"Overview","href":"/pages/v1/reference/fundraising/overview"},{"title":"Create transaction bundles","href":"/pages/v1/reference/fundraising/create-transaction-bundles"},{"title":"Update and refund bundles","href":"/pages/v1/reference/fundraising/update-refund-bundles"},{"title":"Querying \u0026 reporting","href":"/pages/v1/reference/fundraising/querying-reporting"},{"title":"Reference data","href":"/pages/v1/reference/fundraising/reference-data"},{"group":"Transaction bundles","pages":[{"title":"List transaction bundles","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml get /v1/transaction_bundles","href":"/api-reference/transaction-bundles/list-transaction-bundles"},{"title":"Create a transaction bundle","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml post /v1/transaction_bundles","href":"/api-reference/transaction-bundles/create-a-transaction-bundle"},{"title":"Get a transaction bundle","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml get /v1/transaction_bundles/{id}","href":"/api-reference/transaction-bundles/get-a-transaction-bundle"},{"title":"Delete a transaction bundle","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml delete /v1/transaction_bundles/{id}","href":"/api-reference/transaction-bundles/delete-a-transaction-bundle"},{"title":"Update a transaction bundle","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml patch /v1/transaction_bundles/{id}","href":"/api-reference/transaction-bundles/update-a-transaction-bundle"},{"title":"Get transaction bundle history","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml get /v1/transaction_bundles/{id}/history","href":"/api-reference/transaction-bundles/get-transaction-bundle-history"}]},{"group":"Transactions","pages":[{"title":"Get a contact's transactions","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml get /v1/contacts/{id}/transactions","href":"/api-reference/transactions/get-a-contacts-transactions"},{"title":"List transactions","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml get /v1/transactions","href":"/api-reference/transactions/list-transactions"},{"title":"Get a transaction","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml get /v1/transactions/{id}","href":"/api-reference/transactions/get-a-transaction"}]},{"group":"Donations","pages":[{"title":"List donations","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml get /v1/donations","href":"/api-reference/donations/list-donations"},{"title":"Donation KPIs","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml get /v1/donations/kpi","href":"/api-reference/donations/donation-kpis"}]},{"group":"Memberships","pages":[{"title":"List memberships","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml get /v1/memberships","href":"/api-reference/memberships/list-memberships"},{"title":"Membership KPIs","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml get /v1/memberships/kpi","href":"/api-reference/memberships/membership-kpis"}]},{"group":"Settings and configuration","pages":[{"title":"List code campaigns","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml get /v1/code_campaigns","href":"/api-reference/settings-and-configuration/list-code-campaigns"},{"title":"List donation prices","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml get /v1/donation_prices","href":"/api-reference/settings-and-configuration/list-donation-prices"},{"title":"List membership price groups","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml get /v1/membership_price_groups","href":"/api-reference/settings-and-configuration/list-membership-price-groups"},{"title":"List membership prices","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml get /v1/membership_prices","href":"/api-reference/settings-and-configuration/list-membership-prices"},{"title":"Get transaction settings","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml get /v1/transaction_settings","href":"/api-reference/settings-and-configuration/get-transaction-settings"},{"title":"List transaction statuses","deprecated":null,"version":null,"openapi":"/src/autogen/donation-membership-transaction-openapi3.0.yaml get /v1/transaction_statuses","href":"/api-reference/settings-and-configuration/list-transaction-statuses"}]}]},{"group":"Users","icon":"user","pages":[{"title":"Overview","href":"/pages/v1/reference/users/introduction"},{"group":"Users","pages":[{"title":"List users","deprecated":null,"version":null,"openapi":"/src/autogen/users-openapi3.0.yaml get /users","href":"/api-reference/users/list-users"},{"title":"Edit user's role","deprecated":null,"version":null,"openapi":"/src/autogen/users-openapi3.0.yaml patch /users/role","href":"/api-reference/users/edit-users-role"},{"title":"Get a user","deprecated":null,"version":null,"openapi":"/src/autogen/users-openapi3.0.yaml get /users/{id}","href":"/api-reference/users/get-a-user"},{"title":"Delete a user","deprecated":null,"version":null,"openapi":"/src/autogen/users-openapi3.0.yaml delete /users/{id}","href":"/api-reference/users/delete-a-user"},{"title":"Update a user","deprecated":null,"version":null,"openapi":"/src/autogen/users-openapi3.0.yaml patch /users/{id}","href":"/api-reference/users/update-a-user"}]},{"group":"Teams","pages":[{"title":"Retrieve all teams","deprecated":null,"version":null,"openapi":"/src/autogen/users-openapi3.0.yaml get /teams","href":"/api-reference/teams/retrieve-all-teams"},{"title":"Create a new team","deprecated":null,"version":null,"openapi":"/src/autogen/users-openapi3.0.yaml post /teams","href":"/api-reference/teams/create-a-new-team"},{"title":"Update an existing team (full replace)","deprecated":null,"version":null,"openapi":"/src/autogen/users-openapi3.0.yaml patch /teams","href":"/api-reference/teams/update-an-existing-team-full-replace"},{"title":"Retrieve public teams","deprecated":null,"version":null,"openapi":"/src/autogen/users-openapi3.0.yaml get /teams/public","href":"/api-reference/teams/retrieve-public-teams"},{"title":"Retrieve a team","deprecated":null,"version":null,"openapi":"/src/autogen/users-openapi3.0.yaml get /teams/{id}","href":"/api-reference/teams/retrieve-a-team"},{"title":"Delete a team","deprecated":null,"version":null,"openapi":"/src/autogen/users-openapi3.0.yaml delete /teams/{id}","href":"/api-reference/teams/delete-a-team"}]},{"group":"Roles","pages":[{"title":"Retrieve role collection","deprecated":null,"version":null,"openapi":"/src/autogen/users-openapi3.0.yaml get /roles","href":"/api-reference/roles/retrieve-role-collection"}]},{"group":"Invitations","pages":[{"title":"Retrieve all invitations","deprecated":null,"version":null,"openapi":"/src/autogen/users-openapi3.0.yaml get /users/invitation","href":"/api-reference/invitations/retrieve-all-invitations"},{"title":"Invite users by their emails","deprecated":null,"version":null,"openapi":"/src/autogen/users-openapi3.0.yaml post /users/invitation","href":"/api-reference/invitations/invite-users-by-their-emails"},{"title":"Delete an invitation","deprecated":null,"version":null,"openapi":"/src/autogen/users-openapi3.0.yaml delete /users/invitation/{id}","href":"/api-reference/invitations/delete-an-invitation"}]},{"group":"Notifications","pages":[{"title":"Send a global message to provided teams","deprecated":null,"version":null,"openapi":"/src/autogen/users-openapi3.0.yaml post /global-message","href":"/api-reference/notifications/send-a-global-message-to-provided-teams"}]}]},{"group":"Interactions","icon":"message-circle","pages":[{"title":"Overview","href":"/pages/v1/reference/interactions/overview"},{"group":"Interactions","pages":[{"title":"List a contact's interactions","deprecated":null,"version":null,"openapi":"/src/autogen/interactions-openapi3.0.yaml get /v1/contacts/{contactId}/interactions","href":"/api-reference/interactions/list-a-contacts-interactions"},{"title":"Log an interaction on a contact","deprecated":null,"version":null,"openapi":"/src/autogen/interactions-openapi3.0.yaml post /v1/contacts/{contactId}/interactions","href":"/api-reference/interactions/log-an-interaction-on-a-contact"},{"title":"Update an interaction","deprecated":null,"version":null,"openapi":"/src/autogen/interactions-openapi3.0.yaml put /v1/contacts/{contactId}/interactions/{interactionId}","href":"/api-reference/interactions/update-an-interaction"},{"title":"Delete an interaction","deprecated":null,"version":null,"openapi":"/src/autogen/interactions-openapi3.0.yaml delete /v1/contacts/{contactId}/interactions/{interactionId}","href":"/api-reference/interactions/delete-an-interaction"},{"title":"List interaction tags","deprecated":null,"version":null,"openapi":"/src/autogen/interactions-openapi3.0.yaml get /v1/interactions/tags","href":"/api-reference/interactions/list-interaction-tags"},{"title":"Create an interaction tag","deprecated":null,"version":null,"openapi":"/src/autogen/interactions-openapi3.0.yaml post /v1/interactions/tags","href":"/api-reference/interactions/create-an-interaction-tag"},{"title":"Delete an interaction tag","deprecated":null,"version":null,"openapi":"/src/autogen/interactions-openapi3.0.yaml delete /v1/interactions/tags/{tagId}","href":"/api-reference/interactions/delete-an-interaction-tag"},{"title":"Update an interaction tag","deprecated":null,"version":null,"openapi":"/src/autogen/interactions-openapi3.0.yaml patch /v1/interactions/tags/{tagId}","href":"/api-reference/interactions/update-an-interaction-tag"}]}]},{"group":"Notes","icon":"sticky-note","pages":[{"title":"Overview","href":"/pages/v1/reference/notes/overview"},{"group":"Notes","pages":[{"title":"List a contact's notes","deprecated":null,"version":null,"openapi":"/src/autogen/notes-openapi3.0.yaml get /v1/contacts/{contactId}/notes","href":"/api-reference/notes/list-a-contacts-notes"},{"title":"Create a note on a contact","deprecated":null,"version":null,"openapi":"/src/autogen/notes-openapi3.0.yaml post /v1/contacts/{contactId}/notes","href":"/api-reference/notes/create-a-note-on-a-contact"},{"title":"Get a note","deprecated":null,"version":null,"openapi":"/src/autogen/notes-openapi3.0.yaml get /v1/contacts/{contactId}/notes/{noteId}","href":"/api-reference/notes/get-a-note"},{"title":"Update a note","deprecated":null,"version":null,"openapi":"/src/autogen/notes-openapi3.0.yaml put /v1/contacts/{contactId}/notes/{noteId}","href":"/api-reference/notes/update-a-note"},{"title":"Delete a note","deprecated":null,"version":null,"openapi":"/src/autogen/notes-openapi3.0.yaml delete /v1/contacts/{contactId}/notes/{noteId}","href":"/api-reference/notes/delete-a-note"}]}]}]},{"tab":"Build with AI","icon":"cable","pages":[{"title":"Build with AI","href":"/pages/v1/mcp"}]},{"tab":"Learn More","icon":"house","pages":[{"title":"Learn More","href":"/pages/v1/collaborative_development_initiative"}]}]},"title":"Create a contact - Qomon API Hub","buildId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","deploymentId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-26-lDe7V.js","utils-CWQmgYtH.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-4-Aw3rSD.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-C2zjXYA5.js","snippetPresets-DFmpFA7C.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-FJpQavWq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D_GvPF7k.js","shallow-Bs2ZB0NO.js","getApiPlaygroundDisplay-DCcqJJk-.js","CodeSnippet-DzDxawVe.js","CodeSnippets-aUr7fU-7.js","Page-CT9uE8Ip.js","getPastedJson-Y1fKsj_I.js","icon-DI4zTsDr.js","MethodPill-C0nDlmSQ.js","DuplicateIcon-NUXbx2nQ.js","createIcon-BdTHrPAi.js","DynamicMarkdown-CtpgKJwj.js","SectionHeading-B3x35tOt.js","axios-vUo_bRtp.js","Markdown-3OmurJMP.js","clsx-DMKzROTp.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-1ms6tsT-.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Ke9xIMFx.js"]}